<?php
$title = 'Магазин скриптов';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($sys['modules']['shop'] == 1) {

    $seller = user($id);

    if ($seller && SellingAllowed($seller)) {

        $rating = $connect->prepare("select count(*) from `purchase` where `seller` = ? and `status` = ?");

        // кол-во товаров
        $stmt_user_shop->execute(array($id));
        $s_count = $stmt_user_shop->fetchColumn();

        echo '<div class="title">Магазин ('.$s_count.')</div>';

        if ($s_count == 0) {
            echo '<div class="menu">Товаров нет!</div>';
        } else {

            if ((!isset($active) || $id != $user['id']) &&
                DonatesAllowed($seller, $s_count))
                echo '<div class="forlink"><a href="/donation/'.$id.'" class="links"><img src="/img/donat.png" alt="donat">Поддержать автора<div class="chi">Отправить донат</div></a></div>';

            echo '<div class="menu">
            Продавец: '.profileLink($seller).'<br/>
            '.($seller['wmid'] && $seller['wmr'] ?

                'WMID: <a data-noajax href="//passport.webmoney.ru/asp/certview.asp?wmid='.$seller['wmid'].'">'.$seller['wmid'].'</a><br/>
                 BL: <img src="//bl.wmtransfer.com/img/bl/'.$seller['wmid'].'?w=45&h=18&bg=0XDBE2E9.png" alt="bl"><br/>
                 Претензии/Отзывы/Иски: <a data-noajax href="//arbitrage.webmoney.ru/asp/claims.asp?wmid='.$seller['wmid'].'"><img src="//arbitrage.webmoney.ru/xml/AL2.aspx?wmid='.$seller['wmid'].'" alt="arb"></a><br/>
                 Кошелек: <img src="/img/wmr.png" alt="wmr">'.$seller['wmr'] :

                '<div class="danger">Реквизиты не заполнены!</div>'

            ).'
            </div>';

            $page = new Pagination($s_count, 10);

            $data = $connect->prepare("select * from `shop` where `seller` = :seller order by `id` desc limit :start, 10");
            $data->bindValue(':seller', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {

                echo linkShop($row);

            }

            $page->navigation();

        }
        
        if (!isset($active))
            echo '<div class="menu"><div class="information">Авторизуйтесь, чтобы была возможность купить товар.</div></div>';

    } else {
        header('location: /');
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>